<?php

namespace Drupal\coc_forms_auto_export\Controller;

use phpseclib3\Net\SFTP;

/**
 * The SFTPController class.
 */
class SFTPController {

  /**
   * SFTPController constructor.
   */
  public function __construct() {

  }

  /**
   * Send file via SFTP.
   *
   * @param mixed $sftp_details
   *   The details about sftp.
   * @param mixed $source_path
   *   The source path.
   * @param mixed $file_name
   *   The file name.
   * @param int $mode
   *   Mode.
   *
   * @return bool
   *   Returns the login message.
   */
  public static function sendFile($sftp_details, $source_path, $file_name, $mode = SFTP::SOURCE_LOCAL_FILE) {
    $host = $sftp_details['host'];
    $username = $sftp_details['username'];
    $password = $sftp_details['password'];

    $sftp = new SFTP($host);
    if (!$sftp->login($username, $password)) {
      \Drupal::logger('webform_auto_exports')->error("Failed to log into @host", ['@host' => $host]);
      return FALSE;
    }

    return $sftp->put($sftp_details['destination'] . '\\' . $file_name, $source_path, $mode);
  }

}
